## python-cliff 2.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cmd2>=0.6.7 # MIT
PrettyTable<0.8,>=0.7.1 # BSD
pyparsing>=2.1.0 # MIT
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
unicodecsv>=0.8.0;python_version<'3.0' # BSD
PyYAML>=3.10.0 # MIT

=== debian/changelog ===
python-cliff (2.8.0-0ubuntu1.1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 01 Mar 2018 19:44:27 +0000

python-cliff (2.8.0-0ubuntu1.1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * d/p/align-parsed-call-with-cmd2-versions-0.7.3.patch: Cherry-picked
    from https://review.openstack.org/#/c/548627/ to fix AttributeError
    exception with use of cmd2 parsed() method (LP: #1751822).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Oct 2017 15:28:27 -0400

python-cliff (2.8.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/rules: Update history.rst path in override_dh_installchangelogs.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Aug 2017 20:04:58 -0400

python-cliff (2.7.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control,rules: Switch to using ostestr for unit tests.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:20:54 +0100

python-cliff (2.6.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:00:12 +0100

=== debian/control ===
Source: python-cliff
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-cmd2 (>= 0.6.7),
                     python-coverage (>= 4.0),
                     python-docutils,
                     python-fixtures (>= 3.0.0),
                     python-httplib2,
                     python-mock (>= 2.0),
                     python-openstackdocstheme (>= 1.11.0),
                     python-os-testr,
                     python-prettytable (>= 0.7.1),
                     python-pyparsing (>= 2.0.7),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.20.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unicodecsv (>= 0.8.0),
                     python-yaml (>= 3.10.0),
                     python3-cmd2 (>= 0.6.7),
                     python3-coverage (>= 4.0),
                     python3-docutils,
                     python3-fixtures (>= 3.0.0),
                     python3-httplib2,
                     python3-mock (>= 2.0),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-os-testr,
                     python3-prettytable (>= 0.7.1),
                     python3-pyparsing (>= 2.0.7),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.20.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-unicodecsv (>= 0.8.0),
                     python3-yaml (>= 3.10.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-cliff
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-cliff
Homepage: https://github.com/dreamhost/cliff
Testsuite: autopkgtest-pkg-python

Package: python-cliff
Architecture: all
Depends: python-cmd2 (>= 0.6.7),
         python-pbr (>= 2.0.0),
         python-prettytable (>= 0.7.1),
         python-pyparsing (>= 2.0.7),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.0),
         python-unicodecsv (>= 0.8.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends},
Suggests: python-cliff-doc,
Description: command line interface formulation framework - Python 2.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 2.x module.

Package: python3-cliff
Architecture: all
Depends: python3-cmd2 (>= 0.6.7),
         python3-pbr (>= 2.0.0),
         python3-prettytable (>= 0.7.1),
         python3-pyparsing (>= 2.0.7),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.0),
         python3-unicodecsv (>= 0.8.0),
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: python-cliff-doc,
Description: command line interface formulation framework - Python 3.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 3.x module.

Package: python-cliff-doc
Architecture: all
Section: doc
Depends: libjs-sphinxdoc,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Description: command line interface formulation framework documentation
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This is the documentation of python-cliff.

## python-cliff 2.11.0

=== Makefile ===
help:
	@echo "release - package and upload a release"
	@echo "sdist   - package"
	@echo "docs    - generate HTML documentation"
	@echo "clean   - remove build artifacts"

release: docs
	rm -rf dist build
	python setup.py sdist upload

sdist: docs
	python setup.py sdist
	ls -l dist

clean:
	rm -rf dist build *.egg-info
	(cd doc && make clean)

.PHONY: docs
docs:
	(cd doc && make clean html)

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmd2>=0.6.7 # MIT
 PrettyTable<0.8,>=0.7.1 # BSD
 pyparsing>=2.1.0 # MIT
-six>=1.9.0 # MIT
+six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 unicodecsv>=0.8.0;python_version<'3.0' # BSD
-PyYAML>=3.10.0 # MIT
+PyYAML>=3.10 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=1.6.2 # BSD
openstackdocstheme>=1.17.0 # Apache-2.0

=== debian/changelog ===
python-cliff (2.11.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Mar 2018 17:52:29 +0100

python-cliff (2.8.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed watch file.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:36:43 +0000

python-cliff (2.8.0-2) experimental; urgency=medium

  * Add missing (build-)dep: python{3,}-docutils (Closes: #877129).

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Oct 2017 18:57:32 +0000

python-cliff (2.8.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install}.
  * Removed patch: removes-argparse-from-requirements.txt.
  * Removed patch: fix python 3.5 unit tests.
  * Removed dh_installchangelogs overrides.

 -- Thomas Goirand <zigo@debian.org>  Sun, 24 Sep 2017 19:06:35 +0200

=== debian/control ===
Source: python-cliff
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Jan Dittberner <jandd@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-cmd2,
 python-coverage,
 python-docutils,
 python-mock,
 python-openstackdocstheme (>= 1.17.0),
 python-prettytable,
 python-pyparsing,
 python-six,
 python-stestr,
 python-stevedore (>= 1.20.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-unicodecsv,
 python-yaml,
 python3-cmd2,
 python3-coverage,
 python3-docutils,
 python3-mock,
 python3-prettytable,
 python3-pyparsing,
 python3-six,
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-unicodecsv,
 python3-yaml,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cliff
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cliff.git
Homepage: https://github.com/dreamhost/cliff

Package: python-cliff
Architecture: all
Depends:
 python-cmd2,
 python-docutils,
 python-pbr (>= 2.0.0),
 python-prettytable,
 python-pyparsing,
 python-six,
 python-stevedore (>= 1.20.0),
 python-unicodecsv,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 ${python:Recommends},
Suggests:
 python-cliff-doc,
Description: command line interface formulation framework - Python 2.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 2.x module.

Package: python-cliff-doc
Architecture: all
Section: doc
Depends:
 libjs-sphinxdoc,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: command line interface formulation framework documentation
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This is the documentation of python-cliff.

Package: python3-cliff
Architecture: all
Depends:
 python3-cmd2,
 python3-docutils,
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-pyparsing,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-unicodecsv,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python-cliff-doc,
Description: command line interface formulation framework - Python 3.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/cliff.git
include /usr/share/openstack-pkg-tools/pkgos.make


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_clean:
	dh_clean
	rm -rf cliff.egg-info build

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build -b html -a -c doc/source doc/source \
	    $(CURDIR)/debian/python-cliff-doc/usr/share/doc/python-cliff-doc/html
	dh_sphinxdoc -ppython-cliff-doc
endif


override_dh_installexamples:
	dh_installexamples
	find $(CURDIR)/debian/python-cliff-doc -iname '*.pyc' -delete

override_dh_python2:
	dh_python2 -ppython-cliff

override_dh_python3:
	dh_python3 -ppython3-cliff

override_dh_compress:
	dh_compress -i -X.rst -X.js -X.html -X.txt -X.py

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

## python-cliff 2.13.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cmd2!=0.8.3,<0.9.0;python_version<'3.0' # MIT
cmd2!=0.8.3;python_version>='3.0' # MIT
PrettyTable<0.8,>=0.7.2 # BSD
pyparsing>=2.1.0 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
unicodecsv>=0.8.0;python_version<'3.0' # BSD
PyYAML>=3.12 # MIT

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cliff.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cliff.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cliff"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cliff"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-cliff (2.13.0-1~bpo9+2) stretch-backports; urgency=medium

  * Re-enable the tests now that stestr is available.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 26 Oct 2018 19:34:24 +0200

python-cliff (2.13.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Disable tests while bootstrapping the backport.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 26 Oct 2018 00:48:24 +0200

python-cliff (2.13.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Apply Ubuntu patch (Closes: #898732):
    - d/control, d/compat: Set debhelper>=10.
    - d/control: Enable autopkgtest-pkg-python tests.
    - d/control: Drop (Build-)Depends on python3-unicodecsv as its only
    needed for Python 2 (LP: #1736717).

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Sep 2018 15:13:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: python-cliff
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Jan Dittberner <jandd@debian.org>,
  Thomas Goirand <zigo@debian.org>,
+ Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python-all,
@@ -17,7 +18,7 @@
  python3-pbr (>= 2.0.0),
  python3-setuptools,
 Build-Depends-Indep:
- python-cmd2,
+ python-cmd2 (>= 0.8.5),
  python-coverage,
  python-docutils,
  python-mock,
@@ -31,7 +32,7 @@
  python-testtools (>= 2.2.0),
  python-unicodecsv,
  python-yaml,
- python3-cmd2,
+ python3-cmd2 (>= 0.8.5),
  python3-coverage,
  python3-docutils,
  python3-mock,
@@ -42,17 +43,17 @@
  python3-stevedore (>= 1.20.0),
  python3-testscenarios,
  python3-testtools (>= 2.2.0),
- python3-unicodecsv,
  python3-yaml,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cliff
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cliff.git
 Homepage: https://github.com/dreamhost/cliff
+Testsuite: autopkgtest-pkg-python
 
 Package: python-cliff
 Architecture: all
 Depends:
- python-cmd2,
+ python-cmd2 (>= 0.8.5),
  python-docutils,
  python-pbr (>= 2.0.0),
  python-prettytable,
@@ -96,7 +97,7 @@
 Package: python3-cliff
 Architecture: all
 Depends:
- python3-cmd2,
+ python3-cmd2 (>= 0.8.5),
  python3-docutils,
  python3-pbr (>= 2.0.0),
  python3-prettytable,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/cliff/tags .*/(\d[\d\.]+)\.tar\.gz

## python-cliff 2.14.1

=== debian/changelog ===
python-cliff (2.14.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 05:08:04 +0200

python-cliff (2.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Run tests using PYTHONPATH to where the python module is installed.
  * Standards-Version: 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 13:45:46 +0100

=== debian/control ===
Source: python-cliff
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Jan Dittberner <jandd@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cmd2,
 python3-coverage,
 python3-docutils,
 python3-mock,
 python3-openstackdocstheme,
 python3-prettytable,
 python3-pyparsing,
 python3-six,
 python3-stestr,
 python3-stevedore (>= 1.30.1),
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cliff
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cliff.git
Homepage: https://github.com/dreamhost/cliff
Testsuite: autopkgtest-pkg-python

Package: python-cliff-doc
Architecture: all
Section: doc
Depends:
 libjs-sphinxdoc,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: command line interface formulation framework documentation
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This is the documentation of python-cliff.

Package: python3-cliff
Architecture: all
Depends:
 python3-cmd2,
 python3-docutils,
 python3-pbr,
 python3-prettytable,
 python3-pyparsing,
 python3-six,
 python3-stevedore (>= 1.30.1),
 python3-unicodecsv,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python-cliff-doc,
Description: command line interface formulation framework - Python 3.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 3.x module.

## python-cliff 2.15.0

=== debian/changelog ===
python-cliff (2.15.0-0ubuntu2~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 06 Sep 2019 05:39:53 +0000

python-cliff (2.15.0-0ubuntu2) eoan; urgency=medium

  * Drop python2 support.  Closes: #937649.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Sep 2019 04:45:52 +0000

python-cliff (2.15.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:28:14 -0400

python-cliff (2.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 14:10:50 -0400

python-cliff (2.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Feb 2019 12:05:32 -0500

python-cliff (2.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/align-parsed-call-with-cmd2-versions-0.7.3.patch: Dropped. Fixed in
    new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Aug 2018 13:30:56 -0400

python-cliff (2.11.0-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/compat: Remain at debhelper>=10.
    - d/control: Enable autopkgtest-pkg-python tests.
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from pypi.debian.net.
    - d/control: Drop (Build-)Depends on python3-unicodecsv as its only
      needed for Python 2 (LP: #1736717).
    - d/p/align-parsed-call-with-cmd2-versions-0.7.3.patch: Cherry-picked
      from https://review.openstack.org/#/c/548626/ to fix AttributeError
      exception with use of cmd2 parsed() method (LP: #1751822).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 May 2018 09:48:37 -0400

python-cliff (2.11.0-0ubuntu2) bionic; urgency=medium

  * d/p/align-parsed-call-with-cmd2-versions-0.7.3.patch: Cherry-picked
    from https://review.openstack.org/#/c/548626/ to fix AttributeError
    exception with use of cmd2 parsed() method (LP: #1751822).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 17:04:53 -0500

python-cliff (2.11.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jan 2018 14:13:20 -0500

python-cliff (2.9.1-0ubuntu2) bionic; urgency=medium

  * d/control: Drop (Build-)Depends on python3-unicodecsv as its only
    needed for Python 2 (LP: #1736717).

 -- James Page <james.page@ubuntu.com>  Mon, 18 Dec 2017 13:11:11 +0000

python-cliff (2.9.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Nov 2017 10:31:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-cliff
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Jan Dittberner <jandd@debian.org>,
  Thomas Goirand <zigo@debian.org>,
@@ -10,26 +11,30 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
+ python3-bandit (>= 1.1.0),
  python3-cmd2,
- python3-coverage,
+ python3-coverage (>= 4.0),
  python3-docutils,
- python3-mock,
- python3-openstackdocstheme,
- python3-prettytable,
- python3-pyparsing,
- python3-six,
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-prettytable (>= 0.7.2),
+ python3-pyparsing (>= 2.1.0),
+ python3-six (>= 1.10.0),
  python3-stestr,
- python3-stevedore (>= 1.30.1),
- python3-testscenarios,
- python3-testtools,
- python3-yaml,
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cliff
-Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cliff.git
+ python3-stevedore (>= 1:1.20.0),
+ python3-subunit (>= 1.0.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-unicodecsv (>= 0.8.0),
+ python3-yaml (>= 3.12),
+Standards-Version: 4.1.3
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-cliff
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-cliff
 Homepage: https://github.com/dreamhost/cliff
 Testsuite: autopkgtest-pkg-python
 
@@ -55,12 +60,13 @@
 Depends:
  python3-cmd2,
  python3-docutils,
- python3-pbr,
- python3-prettytable,
- python3-pyparsing,
- python3-six,
- python3-stevedore (>= 1.30.1),
- python3-unicodecsv,
+ python3-pbr (>= 2.0.0),
+ python3-prettytable (>= 0.7.2),
+ python3-pyparsing (>= 2.1.0),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-unicodecsv (>= 0.8.0),
+ python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,15 @@
 
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils
+	dh $@ --with python3,sphinxdoc --buildsystem=python_distutils
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_clean:
 	dh_clean
 	rm -rf cliff.egg-info build
+
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
@@ -26,9 +27,6 @@
 	dh_installexamples
 	find $(CURDIR)/debian/python-cliff-doc -iname '*.pyc' -delete
 
-override_dh_python2:
-	dh_python2 -ppython-cliff
-
 override_dh_python3:
 	dh_python3 -ppython3-cliff
 
@@ -37,5 +35,5 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	pkgos-dh_auto_test --no-py2
 endif

## python-cliff 2.18.0

=== debian/changelog ===
python-cliff (2.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 28 Jan 2020 16:42:57 +0100

python-cliff (2.16.0-0ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from pypi.debian.net.
    - d/control: Drop (Build-)Depends on python3-unicodecsv as its only
      needed for Python 2 (LP: #1736717).
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Dec 2019 15:19:31 -0500

## python-cliff 3.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cmd2>=0.8.0,!=0.8.3,<0.9.0 # MIT
PrettyTable<0.8,>=0.7.2 # BSD
pyparsing>=2.1.0 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
PyYAML>=3.12 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
python-cliff (3.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 10:26:36 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Jan Dittberner <jandd@debian.org>,
  Thomas Goirand <zigo@debian.org>,
@@ -15,8 +15,7 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-bandit (>= 1.1.0),
- python3-cmd2,
+ python3-cmd2 (>= 0.8.0),
  python3-coverage (>= 4.0),
  python3-docutils,
  python3-mock (>= 2.0.0),
@@ -30,9 +29,8 @@
  python3-testrepository (>= 0.0.18),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-unicodecsv (>= 0.8.0),
  python3-yaml (>= 3.12),
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-cliff
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-cliff
 Homepage: https://github.com/dreamhost/cliff
@@ -58,14 +56,13 @@
 Package: python3-cliff
 Architecture: all
 Depends:
- python3-cmd2,
+ python3-cmd2 (>= 0.8.0),
  python3-docutils,
  python3-pbr (>= 2.0.0),
  python3-prettytable (>= 0.7.2),
  python3-pyparsing (>= 2.1.0),
  python3-six (>= 1.10.0),
  python3-stevedore (>= 1:1.20.0),
- python3-unicodecsv (>= 0.8.0),
  python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/cliff.git
include /usr/share/openstack-pkg-tools/pkgos.make


%:
	dh $@ --with python3,sphinxdoc --buildsystem=python_distutils

override_dh_auto_clean:
	rm -rf cliff.egg-info build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build -b html -a -c doc/source doc/source \
	    $(CURDIR)/debian/python-cliff-doc/usr/share/doc/python-cliff-doc/html
	dh_sphinxdoc -ppython-cliff-doc
endif

override_dh_installexamples:
	dh_installexamples
	find $(CURDIR)/debian/python-cliff-doc -iname '*.pyc' -delete

override_dh_python3:
	dh_python3 -ppython3-cliff

override_dh_compress:
	dh_compress -i -X.rst -X.js -X.html -X.txt -X.py

override_dh_auto_test:
	echo "Do nothing..."

## python-cliff 3.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cmd2>=0.8.0,!=0.8.3 # MIT
PrettyTable<0.8,>=0.7.2 # BSD
pyparsing>=2.1.0 # MIT
six>=1.10.0 # MIT
stevedore>=2.0.1 # Apache-2.0
PyYAML>=3.12 # MIT

=== debian/changelog ===
python-cliff (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml and fix watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 09:51:12 +0200

python-cliff (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.
  * Cleans better.
  * Black list 10 unit tests which are failing ONLY if using git-buildpackage
    (sbuild alone works...), because cliff cannot find terminal width correctly
    when building in the environment of git-buildpackage.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 16:26:58 +0200

python-cliff (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Some more <!nocheck> in d/control.
  * Add Build-Profiles: <!nodoc> for the -doc package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 17:55:17 +0200

python-cliff (3.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed python3-unicodecsv from runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 17:46:37 +0200

=== debian/control ===
Source: python-cliff
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Jan Dittberner <jandd@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cmd2,
 python3-coverage <!nocheck>,
 python3-docutils,
 python3-openstackdocstheme <!nodoc>,
 python3-prettytable <!nocheck>,
 python3-pyparsing,
 python3-six,
 python3-stestr <!nocheck>,
 python3-stevedore (>= 1.30.1) <!nocheck>,
 python3-stevedore (>= 1.30.1) <!nodoc>,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-yaml,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cliff
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cliff.git
Homepage: https://github.com/dreamhost/cliff
Testsuite: autopkgtest-pkg-python

Package: python-cliff-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc>
Depends:
 libjs-sphinxdoc,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: command line interface formulation framework documentation
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This is the documentation of python-cliff.

Package: python3-cliff
Architecture: all
Depends:
 python3-cmd2,
 python3-docutils,
 python3-pbr,
 python3-prettytable,
 python3-pyparsing,
 python3-six,
 python3-stevedore (>= 1.30.1),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python-cliff-doc,
Description: command line interface formulation framework - Python 3.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=python_distutils
 
 override_dh_auto_clean:
-	rm -rf cliff.egg-info build
+	rm -rf cliff.egg-info build AUTHOR ChangeLog
+	find . -type d -iname __pycache__ -exec rm -rf {} \; || true
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -18,12 +19,12 @@
 		python$$i setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
 	done
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'cliff\.tests\.(?!(.*test_formatters_table.TestTableFormatter.test.*|.*test_formatters_table.TestListFormatter.test_formattable_column.*|.*test_formatters_table.TestListFormatter.test_table_formatter_formattable_column.*|.*test_formatters_table.TestListFormatter.test_table_list_formatter.*|.*test_formatters_table.TestTerminalWidth.test_table_formatter_cli_param.*|.*test_formatters_table.TestTerminalWidth.test_table_formatter_cli_param_envvar_big.*|.*test_formatters_table.TestTerminalWidth.test_table_formatter_cli_param_envvar_tiny.*|.*test_formatters_table.TestTerminalWidth.test_table_formatter_cli_param_unlimited_tw.*|.*test_formatters_table.TestTerminalWidth.test_table_formatter_no_cli_param.*|.*test_formatters_table.TestTerminalWidth.test_table_formatter_no_cli_param_unlimited_tw.*))'
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) sphinx-build -b html -a -c doc/source doc/source \
+	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -a -c doc/source doc/source \
 	    $(CURDIR)/debian/python-cliff-doc/usr/share/doc/python-cliff-doc/html
 	dh_sphinxdoc -ppython-cliff-doc
 endif
@@ -31,6 +32,7 @@
 override_dh_installexamples:
 	dh_installexamples
 	find $(CURDIR)/debian/python-cliff-doc -iname '*.pyc' -delete
+	find $(CURDIR)/debian/python-cliff-doc -iname '__pycache__' -delete
 
 override_dh_python3:
 	dh_python3 -ppython3-cliff

## python-cliff 3.6.0

=== requirements.txt ===
--- 
+++ 
@@ -5,6 +5,5 @@
 cmd2>=0.8.0,!=0.8.3 # MIT
 PrettyTable<0.8,>=0.7.2 # BSD
 pyparsing>=2.1.0 # MIT
-six>=1.10.0 # MIT
 stevedore>=2.0.1 # Apache-2.0
 PyYAML>=3.12 # MIT

=== debian/changelog ===
python-cliff (3.6.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 21 Jan 2021 15:25:43 +0000

python-cliff (3.6.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 14:02:40 +0000

python-cliff (3.5.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 12:48:16 +0000

python-cliff (3.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 07:10:32 +0000

python-cliff (3.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 09:33:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,44 @@
 Source: python-cliff
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Jan Dittberner <jandd@debian.org>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-cmd2,
- python3-coverage <!nocheck>,
+ python3-cmd2 (>= 0.8.0),
+ python3-coverage (>= 4.0),
  python3-docutils,
- python3-openstackdocstheme <!nodoc>,
- python3-prettytable <!nocheck>,
- python3-pyparsing,
- python3-six,
- python3-stestr <!nocheck>,
- python3-stevedore (>= 1.30.1) <!nocheck>,
- python3-stevedore (>= 1.30.1) <!nodoc>,
- python3-testscenarios <!nocheck>,
- python3-testtools <!nocheck>,
- python3-yaml,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cliff
-Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cliff.git
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-prettytable (>= 0.7.2),
+ python3-pyparsing (>= 2.1.0),
+ python3-six (>= 1.10.0),
+ python3-stestr,
+ python3-stevedore (>= 1:2.0.1),
+ python3-subunit (>= 1.0.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.12),
+Standards-Version: 4.3.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-cliff
+Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-cliff
 Homepage: https://github.com/dreamhost/cliff
 Testsuite: autopkgtest-pkg-python
 
 Package: python-cliff-doc
 Architecture: all
 Section: doc
-Build-Profiles: <!nodoc>
 Depends:
  libjs-sphinxdoc,
  ${misc:Depends},
@@ -54,13 +56,14 @@
 Package: python3-cliff
 Architecture: all
 Depends:
- python3-cmd2,
+ python3-cmd2 (>= 0.8.0),
  python3-docutils,
- python3-pbr,
- python3-prettytable,
- python3-pyparsing,
- python3-six,
- python3-stevedore (>= 1.30.1),
+ python3-pbr (>= 2.0.0),
+ python3-prettytable (>= 0.7.2),
+ python3-pyparsing (>= 2.1.0),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:2.0.1),
+ python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## python-cliff 3.8.0

=== debian/changelog ===
python-cliff (3.8.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Jul 2021 20:45:37 +0000

python-cliff (3.8.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:35:03 -0400

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-prettytable (>= 0.7.2),
  python3-pyparsing (>= 2.1.0),
  python3-six (>= 1.10.0),
- python3-stestr,
+ python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:2.0.1),
  python3-subunit (>= 1.0.0),
  python3-testrepository (>= 0.0.18),
